Katch External API (v1)

Download OpenAPI specification:Download

Welcome to the documentation for The Katch External API. This document provides you comprehensive access to our genomic data, enabling seamless interaction with our services for content mapping, audience mapping, on-platform title recommendation, search & discovery, UX enhancement via LLMs, and more. Access our extensive database of film and TV titles to retrieve genomic traits, activation scores, and explore content relationships through our Genomic Content Clusters. Attached is our API Data Dictionary for your reference.

Media

This endpoint allows you to retrieve the Katch ID associated with a given external ID (IMDb ID). For a comprehensive list of your content, simply submit an empty request to receive the full catalog. You can then use this Katch ID with our Traits endpoint to access Genomic Traits.

Securityclient_key and api_key
Request
query Parameters
imdb_id
string
page
integer <int32> >= 1

The page number for pagination

limit
integer <int32>

Number of items (content pieces or clusters) per page.

Responses
200

200 response

get/media

Traits

This endpoint delivers traits with activation scores (when applicable) along with general metadata such as release year, crew, cast, box office for identification purposes only, and more for a specified Katch ID.

Securityclient_key and api_key
Request
query Parameters
katch_id
string
page
integer <int32> >= 1

The page number for pagination.

limit
integer <int32>

Number of items (content pieces or clusters) per page.

Responses
200

200 response

get/traits

Content Clusters

This endpoint provides two primary functionalities:

  1. Retrieving Cluster Data by Media
  2. Retrieving Data by Cluster
Securityclient_key and api_key
Request
query Parameters
katch_id
string

User can provide a single Katch ID via query string parameters or multiple Katch IDs as a list of strings in the body parameters. When these are the sole parameters provided, the endpoint will return the top three clusters for each piece of content.

cluster_id
string

Users can specify a single cluster_id in the query string or multiple cluster_ids as a list of strings in the body parameters. This will return detailed information about the specified clusters along with the top content associated with them.

rank
integer <int32> >= 1
Default: 10

The rank parameter allows you to specify how many titles are returned per cluster. It defaults to 10, but any integer can be specified.

page
integer <int32> >= 1
Default: 1

The page number for pagination

limit
integer <int32>
Default: 10

Number of items (content pieces or clusters) per page.

index
string
Default: "top"

The index parameter lets a user specify which genomic traits related to the cluster user wants to see. By default, it shows the top 10 genomic traits. User can choose 'bottom' to see the bottom 10 traits that define the cluster, or 'both' to see both the top and bottom traits.

Enum: "top" "bottom" "both"
custom
boolean
Default: false

A tenant can set custom to 'true' to have their custom cluster names returned instead of the default Katch names.

Request Body schema: application/json
optional

Search by cluster_ids or katch_ids

Any of:
katch_ids
Array of strings
Responses
200

200 response

get/clusters
Request samples
application/json
{
  • "cluster_ids": [
    ]
}